var lv = new QListView();
lv.rootIsDecorated = true;
lv.addColumn('Name');
lv.addColumn('Description');

var i = new QListViewItem( lv );
i.setText( 0, 'One' );
i.setText( 1, 'First item' );

var j = new QListViewItem( lv );
j.setText( 0, 'Two' );
j.setText( 1, 'Second item' );

var k = new QListViewItem( i );
k.setText( 0, 'Three' );
k.setText( 1, 'Third item' );

var l = new QCheckListItem( lv );
l.setText(0, 'Four' );

lv.show();

var lvi = lv.firstChild();
while( lvi )
{
	println( lvi.text(0) );
	lvi = lvi.nextSibling();
}

application.exec();
